Ask Your Question
0

autoware start error

asked 2020-09-18 08:35:35 -0500

krishnaros gravatar image

updated 2020-09-21 04:17:45 -0500

~/adehome/AutowareAuto$ ade start Starting ade with the following images: ade | 58bfff06da69 | master | registry.gitlab.com/autowarefoundatio... autowareauto | 914ff12553bd | master | registry.gitlab.com/autowarefoundatio... ade_registry.gitlab.com_autowarefoundation_autoware.auto_autowareauto_master non-network local connections being added to access control list

Current default time zone: 'Europe/Berlin' Local time is now: Fri Sep 18 15:32:27 CEST 2020. Universal Time is now: Fri Sep 18 13:32:27 UTC 2020.

groupadd: 'domain users' is not a valid group name ERROR: Failed to start ade. Re-run with --debug to get more information.

edit retag flag offensive close merge delete

Comments

Please start by running the basic troubleshooting tips listed here: https://autowarefoundation.gitlab.io/...

Let us know if these do not resolve the issue.

Josh Whitley gravatar image Josh Whitley  ( 2020-09-18 10:38:44 -0500 )edit

You tagged this with Melodic and ROS1. Which version of Autoware are you trying to run?

Josh Whitley gravatar image Josh Whitley  ( 2020-09-20 00:30:36 -0500 )edit

Autoware auto. with ros2.

krishnaros gravatar image krishnaros  ( 2020-09-21 04:08:15 -0500 )edit

I have tried the trouble shooting tips as well.

krishnaros gravatar image krishnaros  ( 2020-09-21 04:18:19 -0500 )edit

i tried reinstalling autoware ... it works but after a restart it doesnot work. i am getting this same groups issue. kindly help

krishnaros gravatar image krishnaros  ( 2020-09-23 05:11:18 -0500 )edit

Which version of ade are you running? Run ade --version.

Josh Whitley gravatar image Josh Whitley  ( 2020-09-23 08:14:03 -0500 )edit

4.0.0 is the ade version

krishnaros gravatar image krishnaros  ( 2020-09-23 08:15:10 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2020-09-23 08:18:04 -0500

Josh Whitley gravatar image

Your version of ade is fairly outdated. Please update using the instructions here and verify the new version with ade --version. Let us know if this resolves the issue.

edit flag offensive delete link more

Comments

But i am unable to update ade as well. error is below

Traceback (most recent call last): File "site-packages/aiohttp/connector.py", line 936, in _wrap_create_connection File "asyncio/base_events.py", line 954, in create_connection File "asyncio/base_events.py", line 941, in create_connection File "asyncio/selector_events.py", line 464, in sock_connect File "asyncio/selector_events.py", line 469, in _sock_connect OSError: [Errno 101] Network unreachable

The above exception was the direct cause of the following exception:

krishnaros gravatar image krishnaros  ( 2020-09-23 08:44:53 -0500 )edit

I believe the version that you have installed was installed with pip. Please uninstall this version and use the instructions at the link I provided to install the latest version.

Josh Whitley gravatar image Josh Whitley  ( 2020-09-23 08:47:24 -0500 )edit

no i have not installed with pip i used instructions from here

krishnaros gravatar image krishnaros  ( 2020-09-23 08:58:22 -0500 )edit

In that case, remove ade from ~/.local/bin and install using the instructions I linked to.

Josh Whitley gravatar image Josh Whitley  ( 2020-09-24 10:21:23 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2020-09-18 08:35:35 -0500

Seen: 48 times

Last updated: Sep 23